// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function BellIcon(): React.ReactElement {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      aria-hidden="true"
      data-name="Ebene 1"
      className="anticon"
      width="24"
      height="24"
      viewBox="0 0 24 24"
    >
      <rect width="24" height="24" fill="none" />
      <path
        d="M114.508,617.036h-.814V608.7a6.293,6.293,0,0,0-5.867-6.029v-1.037a.75.75,0,0,0-1.5,0v1.037a6.294,6.294,0,0,0-5.867,6.029v8.332h-.814a.75.75,0,0,0,0,1.5h4.812a2.62,2.62,0,0,0,5.238,0h4.812a.75.75,0,0,0,0-1.5Zm-7.431,2.565a1.119,1.119,0,0,1-1.113-1.065h2.226A1.119,1.119,0,0,1,107.077,619.6Zm-5.117-2.565V608.7a5.15,5.15,0,0,1,10.234,0v8.332Z"
        transform="translate(-95.078 -598.887)"
        fill="#fff"
      />
      <path
        d="M19.43 18.149H18.616V9.81299C18.5543 8.26122 17.921 6.78706 16.838 5.67407C15.7549 4.56109 14.2985 3.8879 12.749 3.784V2.74695C12.749 2.54804 12.67 2.35733 12.5293 2.21667C12.3887 2.07602 12.1979 1.99695 11.999 1.99695C11.8001 1.99695 11.6093 2.07602 11.4687 2.21667C11.328 2.35733 11.249 2.54804 11.249 2.74695V3.784C9.69956 3.88812 8.24331 4.56138 7.16027 5.67432C6.07724 6.78726 5.44388 8.26129 5.38199 9.81299V18.145H4.56799C4.36908 18.145 4.17831 18.224 4.03766 18.3646C3.89701 18.5053 3.81799 18.696 3.81799 18.895C3.81799 19.0939 3.89701 19.2846 4.03766 19.4253C4.17831 19.5659 4.36908 19.645 4.56799 19.645H9.37999C9.39884 20.327 9.68304 20.9749 10.1721 21.4506C10.6612 21.9264 11.3167 22.1926 11.999 22.1926C12.6813 22.1926 13.3367 21.9264 13.8258 21.4506C14.3149 20.9749 14.5991 20.327 14.618 19.645H19.43C19.6289 19.645 19.8197 19.5659 19.9603 19.4253C20.101 19.2846 20.18 19.0939 20.18 18.895C20.18 18.696 20.101 18.5053 19.9603 18.3646C19.8197 18.224 19.6289 18.145 19.43 18.145V18.149Z"
        fill="none"
      />
    </svg>
  );
}
